"""PepperPy Core package."""

from pepperpy.error import (
    format_error_context,
    format_exception,
    get_error_type,
)
from pepperpy.logging import (
    LoggerMixin,
    get_logger,
    get_module_logger,
    get_package_logger,
)
from pepperpy.package import get_package_name, get_package_version

__all__ = [
    # Error utilities
    "format_exception",
    "format_error_context",
    "get_error_type",
    # Logging utilities
    "LoggerMixin",
    "get_logger",
    "get_module_logger",
    "get_package_logger",
    # Package utilities
    "get_package_name",
    "get_package_version",
]
